Bug 1770431 - Uncaught ReferenceError: foreman_url is not defined on selecting life cycle env while creating/editing hostgroup
Summary: Uncaught ReferenceError: foreman_url is not defined on selecting life cycle e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Host Group
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: Kavita
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1770798 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-09 04:45 UTC by Nikhil Kathole
Modified: 2020-04-14 13:26 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0-0.4.rc2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28236 Normal Closed Uncaught ReferenceError: foreman_url is not defined on selecting life cycle env while creating/editing hostgroup 2020-01-02 07:28:54 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:33 UTC

Description Nikhil Kathole 2019-11-09 04:45:01 UTC
Description of problem:

Uncaught ReferenceError: foreman_url is not defined on selecting life cycle env while creating/editing hostgroup

host_and_hostgroup_edit-13d1143eed639f1a0b11a5e5c2ff1b9dceb6a23bd614a733fffbe6b181550b64.js:1 Uncaught ReferenceError: foreman_url is not defined
    at Object.KT.hosts.fetchContentViews (host_and_hostgroup_edit-13d1143eed639f1a0b11a5e5c2ff1b9dceb6a23bd614a733fffbe6b181550b64.js:1)
    at HTMLSelectElement.KT.hosts.environmentChanged (host_and_hostgroup_edit-13d1143eed639f1a0b11a5e5c2ff1b9dceb6a23bd614a733fffbe6b181550b64.js:1)
    at HTMLSelectElement.dispatch (jquery.js:4737)
    at HTMLSelectElement.v.handle (jquery.js:4549)
    at Object.trigger (jquery.js:7807)
    at HTMLSelectElement.<anonymous> (jquery.js:7875)
    at Function.each (jquery.js:365)
    at m.fn.init.each (jquery.js:137)
    at m.fn.init.trigger (jquery.js:7874)
    at r.triggerChange (select2.js:1168)
KT.hosts.fetchContentViews @ host_and_hostgroup_edit-13d1143eed639f1a0b11a5e5c2ff1b9dceb6a23bd614a733fffbe6b181550b64.js:1
KT.hosts.environmentChanged @ host_and_hostgroup_edit-13d1143eed639f1a0b11a5e5c2ff1b9dceb6a23bd614a733fffbe6b181550b64.js:1
dispatch @ jquery.js:4737
v.handle @ jquery.js:4549
trigger @ jquery.js:7807
(anonymous) @ jquery.js:7875
each @ jquery.js:365
each @ jquery.js:137
trigger @ jquery.js:7874
triggerChange @ select2.js:1168
onSelect @ select2.js:2465
selectHighlighted @ select2.js:1870
(anonymous) @ select2.js:807
(anonymous) @ select2.js:681
dispatch @ jquery.js:4737
v.handle @ jquery.js:4549

Version-Release number of selected component (if applicable):
Satellite 6.7 snap 1

How reproducible:
always

Steps to Reproduce:
1. Navigate to create new hostgroup
2. select life cycle environment
3. See browser console error

Actual results:

Uncaught ReferenceError: foreman_url is not defined on selecting life cycle env while creating/editing hostgroup


Expected results:

Able to create hostgroup successfully with attached lifecycle env and content view.

Additional info:

Comment 4 Nikhil Kathole 2019-11-11 12:06:03 UTC
*** Bug 1770798 has been marked as a duplicate of this bug. ***

Comment 5 Kavita 2019-11-11 12:29:52 UTC
Created redmine issue https://projects.theforeman.org/issues/28236 from this bug

Comment 6 Bryan Kearney 2019-11-11 13:00:49 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 7 Bryan Kearney 2019-11-11 13:00:51 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 8 Bryan Kearney 2019-11-20 19:00:59 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28236 has been resolved.

Comment 9 Nikhil Kathole 2019-12-02 14:11:26 UTC
VERIFIED

Version tested:
Satellite 6.7 snap 4

No error on selecting life cycle env while creating/editing hostgroup

Comment 12 errata-xmlrpc 2020-04-14 13:26:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.